tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Twiggs, Glenn" <Glenn_Twi...@bmc.com>
Subject RE: [DEPEND] Ant patch to do -depend
Date Wed, 05 Jan 2000 15:36:31 GMT
-1 on this patch. "-depend" is not a valid option for a java 1.2 compiler
and will cause an error if specified.

Glenn.

-----Original Message-----
From: Ben Laurie [mailto:ben@algroup.co.uk]
Sent: Wednesday, January 05, 2000 12:19 AM
To: Tomcat Development
Subject: [DEPEND] Ant patch to do -depend


Ideally, this would also delete .class files for compiles that fail, so
they recompile next time, but that requires telepathy, it seems. I
suppose it could delete the .class for the files that were actually
out-of-date, but that is rather more of a sledgehammer than is
desirable. Even better would be proper dependency handling.

Cheers,

Ben.

Mime
View raw message